0

I'm getting this error when trying to connect to the Salesforce sandbox API via a .NET SOAP webservice, when using IIS 10. None of the other similar questions I've found on Salesforce Stack Exchange provide a solution that works for me.

UNSUPPORTED_CLIENT: TLS 1.0 has been disabled in this organization. Please use TLS 1.1 or higher when connecting to Salesforce using https.

I've checked in the Salesforce sandbox under 'critical updates', but there is no update related to TLS 1.1 that I could disable.

I've also tried editing my registry using the following guides (one of these is for IIS 7.5 but I tried it anyway as nothing else is working)

https://support.microsoft.com/en-us/help/187498/how-to-disable-pct-1.0,-ssl-2.0,-ssl-3.0,-or-tls-1.0-in-internet-information-services

https://tecadmin.net/enable-tls-on-windows-server-and-iis/#

What do I need to do to get this to work? the error states that the problem is with the client, so it must be something I need to change at my service end.

marked as duplicate by martin, Santanu Boral, Raul, Eric, Ratan Paul Jun 26 '17 at 5:14

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • 1
    You can't enable support for TLS 1.0 any more. You need to update your code to use a more modern handshake protocol. More users have experience with how that works for .NET on Stack Overflow, so you may have better luck there. – Adrian Larson Jun 26 '17 at 2:41
  • Thanks Martin, this question is different. I've edited the title to clarify, and I found my solution, which turned out to be a code change in .NET – Chris Halcrow Jun 26 '17 at 3:58
0

Thanks for the suggestions. I found that for my .NET project, a code change was required to ensure that the web service doesn't try to use TLS 1.0. I added this line before attempting to programatically log in:

System.Net.ServicePointManager.SecurityProtocol = System.Net.SecurityProtocolType.Tls12 | System.Net.SecurityProtocolType.Tls11 | System.Net.SecurityProtocolType.Tls;

I also discovered that the reason there's nothing in the Salesforce sandbox under 'critical updates' is because the auto-activation date for this update has now passed:

UNSUPPORTED_CLIENT: TLS 1.0 has been disabled in this organization. Please use TLS 1.1 or higher when connecting to Salesforce using https

Not the answer you're looking for? Browse other questions tagged or ask your own question.